Package org.firebirdsql.jdbc.parser

## Class StatementParser.ParseException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.firebirdsql.jdbc.parser.StatementParser.ParseException

All Implemented Interfaces:
  `java.io.Serializable`

Enclosing interface:
  StatementParser

    public static class StatementParser.ParseException
    extends java.lang.Exception

Exception to wrap other exceptions when parsing.

See Also:
  Serialized Form

### Constructor Summary

Constructors
`ParseException​(java.lang.String message)`
`ParseException​(java.lang.String message, java.lang.Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ParseException

    public ParseException​(java.lang.String message)

#### ParseException

    public ParseException​(java.lang.String message,
                          java.lang.Throwable cause)